/* gTask
 * Copyright (C) 2004 Michael Henson                                       
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef GTASK_H
#define GTASK_H

#include <gtask/gtask-connection.h>
#include <gtask/gtask-connection-group.h>
#include <gtask/gtask-generic-task.h>
#include <gtask/gtask-stream-parser.h>

#include <gtask/gtask-packet.h>
#include <gtask/gtask-error-packet.h>
#include <gtask/gtask-task-packet.h>
#include <gtask/gtask-query-packet.h>
#include <gtask/gtask-watch-packet.h>
#include <gtask/gtask-remove-watch-packet.h>

//#include <gtask/gtask-role-packet.h>

#include <gtask/gtask-factory.h>
#include <gtask/gtask-event-dispatcher.h>

void
gtask_init( int *argc, char ***argv, GTaskRole role );

/*
static GTaskFactory *
gtask_factory_default( void );
*/

#endif
